package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAdvSettleHeadsForm extends HrmBaseForm {
  private String[] txtHeadName;
  
  private String[] txtMaxLimit;
  
  private String[] txtAmount;
  
  private ArrayList arylstSettleHeads = new ArrayList();
  
  private String settleId;
  
  String[] txtSettleHeadId;
  
  String[] txtAdvancesId;
  
  String[] txtSettleStatus;
  
  String disabtxtAmount;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String[] getTxtHeadName() {
    return this.txtHeadName;
  }
  
  public void setTxtHeadName(String[] newTxtHeadName) {
    this.txtHeadName = newTxtHeadName;
  }
  
  public String[] getTxtMaxLimit() {
    return this.txtMaxLimit;
  }
  
  public void setTxtMaxLimit(String[] newTxtMaxLimit) {
    this.txtMaxLimit = newTxtMaxLimit;
  }
  
  public String[] getTxtAmount() {
    return this.txtAmount;
  }
  
  public void setTxtAmount(String[] newTxtAmount) {
    this.txtAmount = newTxtAmount;
  }
  
  public ArrayList getArylstSettleHeads() {
    return this.arylstSettleHeads;
  }
  
  public void setArylstSettleHeads(ArrayList newArylstSettleHeads) {
    this.arylstSettleHeads = newArylstSettleHeads;
  }
  
  public String getSettleId() {
    return this.settleId;
  }
  
  public void setSettleId(String newSettleId) {
    this.settleId = newSettleId;
  }
  
  public String[] getTxtSettleHeadId() {
    return this.txtSettleHeadId;
  }
  
  public void setTxtSettleHeadId(String[] newTxtSettleHeadId) {
    this.txtSettleHeadId = newTxtSettleHeadId;
  }
  
  public String[] getTxtAdvancesId() {
    return this.txtAdvancesId;
  }
  
  public void setTxtAdvancesId(String[] newTxtAdvancesId) {
    this.txtAdvancesId = newTxtAdvancesId;
  }
  
  public String[] getTxtSettleStatus() {
    return this.txtSettleStatus;
  }
  
  public void setTxtSettleStatus(String[] newTxtSettleStatus) {
    this.txtSettleStatus = newTxtSettleStatus;
  }
  
  public String getDisabtxtAmount() {
    return this.disabtxtAmount;
  }
  
  public void setDisabtxtAmount(String newDisabtxtAmount) {
    this.disabtxtAmount = newDisabtxtAmount;
  }
}
